Bug 151579 - Rhythmbox fails to play music files
Rhythmbox fails to play music files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-19 23:06 EST by Eric Fallon
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: rhythmbox-0.9.5-4.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-26 13:54:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Fallon 2005-03-19 23:06:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.6) Gecko/20050308 Firefox/1.0.1 Fedora/1.0.1-5

Description of problem:
Rhymbox reports an error when attempting to play a music file. Clicking on an ogg file the following two pop-up error windows appear:

1)
Internal GStreamer error: pad problem.  File a bug.

2)
Could not start pipeline playing


The following error message is also printed at the shell:

(rhythmbox:7925): GStreamer-WARNING **: element pipeline claimed state-change success,but state didn't change to PLAYING. State is PAUSED (NONE_PENDING pending), fix the element
Got error opening "file:///home/efallon/music/days_of_the_new/freak.ogg": Could not start pipeline playing

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open Rhythmbox
2. Attempt to open a .ogg file
3. Note error messages listed above
  

Additional info:
Comment 1 Zuirdj 2005-04-05 20:49:57 EDT
Same problem here:

rhythmbox-0.8.8-2
totem-1.0.1-1
gstreamer-0.8.9-4
gstreamer-plugins-0.8.8-5
alsa-lib-1.0.8-4.devel
alsa-utils-1.0.8-4

I think that is the same problem at
http://bugzilla.gnome.org/show_bug.cgi?id=134007https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=119958
and https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=119982 , maybe related
to http://bugzilla.gnome.org/show_bug.cgi?id=134007
Comment 2 Aaron VanDevender 2005-06-18 17:21:56 EDT
I get this problem with FC4 (release) using:

rhythmbox-0.8.8-2
gstreamer-0.8.10-1
gstreamer-plugins-0.8.8-6
alsa-lib-1.0.9rc4-2
alsa-utils-1.0.9rc2-2

except that I don't see the "(rhythmbox:7925): GStreamer-WARNING **:..." part. I
only see the pad dialog and the pipeline dialog.
Comment 3 Aaron VanDevender 2005-06-18 17:43:58 EDT
I captured the output of rhythmbox --gst-debug-level=1 and got this error:

ERROR (0x8481218 - 310869:39:27.442933000) ESC[00;01;37;41m      
GST_PADSESC[00m(ESC[335m28600ESC[00m)
ESC[00;01;37;41mgstpad.c(2562):gst_pad_set_explicit_caps:<vorbisdec0>ESC[00m
failed to negotiate (try_set_caps with "audio/x-raw-float,
rate=(int)44100, channels=(int)2, endianness=(int)1234, width=(int)32,
buffer-frames=(int)0" returned REFUSED)
ERROR (0x8481218 - 310869:39:27.443963000) ESC[00m     
schedulerESC[00m(ESC[335m28600ESC[00m)
ESC[00mgstoptimalscheduler.c(2798):gst_opt_scheduler_iterate:<optscheduler1>ESC[00m
in error state


Perhaps my sound card only gives 48k channels and so when it asks for a 44.1k
signal it bombs.
Comment 4 Aaron VanDevender 2005-06-19 12:22:25 EDT
I was able to fix this by going to Desktop->Preferences->More
Preferences->Multimedia Systems Selector (which runs gstreamer-properties) and
change the output sink from "alsasink" to "alsasink device=hw:0,0"

Now rhythmbox and other gstreamer apps work fine.
Comment 5 Aaron VanDevender 2005-06-19 12:25:06 EDT
By the way, I've seen this on an i386 based machine as well, so it's not
isolated to just x86_64.

And someone should update the version tag of this bug from FC4t1 to FC4.
Comment 6 Matthias Clasen 2006-11-26 13:54:04 EST
Rhythmbox works fine for me with oggs in FC6/FC7.

Note You need to log in before you can comment on or make changes to this bug.